Bug 187354 - rpm kernel package remove corrupts grub.conf
rpm kernel package remove corrupts grub.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 07:25 EST by Gerald Werner
Modified: 2008-05-06 11:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Werner 2006-03-30 07:25:21 EST
Description of problem:  On a multi-boot system, a rpm remove of a kernel
package corrupted the /boot/grub/grub.conf file.  see details below


Version-Release number of selected component (if applicable):  I have the latest
FC5 packages installed 3/29/06.


How reproducible:  Partition 2 was FC4 and then it was upgraded to FC5 with the
boot updated also.  Later partition 1 was reformatted and had FC5 installed
without a boot update.  I added a boot entry to the grub.conf on partition 2 and
put a copy on partition 1 in /boot/grub/grub.conf.  Then I did a "yum update" on
partition 1 and rebooted.  Then I did a "rpm -ev OLD-KERNEL" on partition 1
after which the boot entry for partition 2 was found missing in the partition 1
/boot/grub/grub.conf file.  The kernel version for partition 2 was the same as
the kernel version being removed on partition 1.


Steps to Reproduce:  see above
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-04-03 22:22:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:42:22 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.